2018-12-13 12:34 AEDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000470mercuryBugpublic2018-09-16 17:18
Reportertaigua 
Assigned Towangp 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000470: mercury-srcdist-rotd-2018-09-11 compile failed on Linux (Ubuntu and Archlinux)
DescriptionEnviroment: Ubuntu/Archlinux 64 bit
GCC Version: gcc 5.4.0/ gcc 8.2.0

Compile failed log:

In file included from mercury_deconstruct.c:29:0:
mercury_ml_expand_body.h: In function ‘MR_expand_functor_args’:
mercury_ml_expand_body.h:719:28: error: ‘MR_ALLOC_ID’ undeclared (first use in this function)
mercury_ml_expand_body.h:719:28: note: each undeclared identifier is reported only once for each function it appears in
In file included from mercury_deconstruct.c:40:0:
mercury_ml_expand_body.h: In function ‘MR_expand_functor_args_limit’:
mercury_ml_expand_body.h:719:28: error: ‘MR_ALLOC_ID’ undeclared (first use in this function)
In file included from mercury_deconstruct.c:58:0:
mercury_ml_expand_body.h: In function ‘MR_expand_args_only’:
mercury_ml_expand_body.h:719:28: error: ‘MR_ALLOC_ID’ undeclared (first use in this function)
/tmp/mmake.0B6hj1:1495: recipe for target 'mercury_deconstruct.o' failed
Steps To ReproduceCompile steps:
$ ./configure --prefix=~/mercury
$ make PARALLEL=-j4 # This step success
$ make PARALLEL=-j4 install

Then it complains:
In file included from mercury_deconstruct.c:29:0:
mercury_ml_expand_body.h: In function ‘MR_expand_functor_args’:
mercury_ml_expand_body.h:719:28: error: ‘MR_ALLOC_ID’ undeclared (first use in this function)
mercury_ml_expand_body.h:719:28: note: each undeclared identifier is reported only once for each function it appears in
In file included from mercury_deconstruct.c:40:0:
mercury_ml_expand_body.h: In function ‘MR_expand_functor_args_limit’:
mercury_ml_expand_body.h:719:28: error: ‘MR_ALLOC_ID’ undeclared (first use in this function)
In file included from mercury_deconstruct.c:58:0:
mercury_ml_expand_body.h: In function ‘MR_expand_args_only’:
mercury_ml_expand_body.h:719:28: error: ‘MR_ALLOC_ID’ undeclared (first use in this function)
/tmp/mmake.0B6hj1:1495: recipe for target 'mercury_deconstruct.o' failed
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001011

wangp (developer)

Thanks for the report. The problem is probably only with low-level C memprof grades, fixed now in commit bb35de8b3.
+Notes

-Issue History
Date Modified Username Field Change
2018-09-16 15:07 taigua New Issue
2018-09-16 17:18 wangp Assigned To => wangp
2018-09-16 17:18 wangp Status new => resolved
2018-09-16 17:18 wangp Resolution open => fixed
2018-09-16 17:18 wangp Note Added: 0001011
+Issue History